.auth__main {
    align-items: center;
    background-color: white;
    background-image: url('../assets/bubbleinc.svg');
    background-repeat: no-repeat;
    background-position: 170px 320px;
    background-size: contain;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    margin: 0px;
    height: 100vh;
    width: 100vw;
}

.auth__image {
    // background: linear-gradient(90deg, red, blue);
    width: 52vw;
    height: 100vh;
    background-image: url('../assets/fondodark.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: right;
}

.auth__box-container {
    width: 48vw;
    height: 100vh;

}



.auth__title {
    color: darken($color: $primary, $amount: 20)
}




.auth__input {
    width: 80%;
    height: 30px;
    border: 1px solid $grey-light;
    border-radius: 20px;
    border-right: 0px;

    padding: 3px;
    margin-top: 5px;
    margin-bottom: 15px;
    padding-left: 18px;

    &:hover {

        border: 1px solid $primary;
        border-radius: 20px;
    }

    &:focus {

        border: 2px solid $primary;
        border-radius: 20px;
        outline: none;
    }

}



.auth__label {
    font-weight: 600;
    color: $grey-medium;

}

.auth__social-networks {
    align-items: center;
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding-top: 20px;
    padding-bottom: 20px;
    width: 100%;
}

.auth__alert-error {
    background-color: salmon;
    border-radius: 5px;
    color: white;
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
    padding: 5px;
    width: 80%;

   
}

.auth__login-box {
    margin-top: 100px;
    margin-left: 80px;
    margin-right: 80px;

    p {
        font-weight: 500;
        color: lighten($grey-medium, 10);

    }
}

.auth__button {
    border-radius: 5px;
    outline: none;
    border: none;
    color: white;
    background: linear-gradient(90deg, $primary, $purple-medium 90.3%);
    margin-top: 20px;
    padding: 10px;
    width: 80%;
    font-weight: 600;
    font-size: 15;
path{
    fill: white;
}
    &:hover {
        background: linear-gradient(90deg, lighten($primary, 10), lighten($purple-medium, 10) 70.3%);

    }

    &:focus {
        background: linear-gradient(90deg, darken($primary, 10), darken($purple-medium, 10) 70.3%);

    }

    &:disabled{
        background: linear-gradient(90deg, lighten($primary, 10), lighten($primary, 10) 70.3%);
        
    }
}

.auth__link-register {
    margin-top: 10px;
    margin-left: 5pxb;

    span {
        color: $secondary;


    }

    &:hover span {
        text-decoration: underline;

    }
}